module Main where
import GHC
import GhcPlugins
import DynFlags
import GHC.Paths ( libdir )
import System.Directory
  
main :: IO ()
main = runGhc (Just libdir) $ do
  dflags <- getSessionDynFlags
  let dflags' = dflags {
          importPaths = importPaths dflags ++ ["target"]
        }
  setSessionDynFlags $ dflags'
  
  liftIO $ do
    getCurrentDirectory >>= putStrLn . ("cwd: "++)
    putStrLn ("importPaths: " ++ (show $ importPaths dflags'))
    
  target <- guessTarget "A" Nothing
  setTargets [target]
  () <$ load LoadAllTargets