module Plugin where
import GHC
import GhcPlugins
import DynFlags
import System.Directory
  
frontendPlugin :: FrontendPlugin
frontendPlugin = defaultFrontendPlugin {
  frontend = fe
}

fe :: [String] -> [(String, Maybe Phase)] -> Ghc ()
fe _ _ = do
  dflags <- getSessionDynFlags
  
  liftIO $ do
    getCurrentDirectory >>= putStrLn . ("cwd: "++)
    putStrLn ("importPaths: " ++ (show $ importPaths dflags))
    
  setSessionDynFlags dflags
  target <- guessTarget "A" Nothing
  setTargets [target]
  () <$ load LoadAllTargets